Security Enhanced Linux Reference Policy

# Layer: admin

## Module: aide

Tunables Interfaces

### Description:

Aide filesystem integrity checker.

### Tunables:

aide_mmap_files

##### Default value

false

##### Description

Control if AIDE can mmap files. AIDE can be compiled with the option 'with-mmap' in which case it will attempt to mmap files while running.

Return

### Interfaces:

aide_admin( domain , role )

##### Summary

All of the rules required to administrate an aide environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

aide_domtrans( domain )

##### Summary

Execute aide in the aide domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

aide_run( domain , role )

##### Summary

Execute aide programs in the AIDE domain and allow the specified role the AIDE domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return